### Function

# Gimp cmyka_set

#### Declaration [src]

    void
    gimp_cmyka_set (
      GimpCMYK* cmyka,
      gdouble cyan,
      gdouble magenta,
      gdouble yellow,
      gdouble black,
      gdouble alpha
    )

#### Description [src]

Initialiser for the internal `GimpCMYK` structure. Channel values are doubles in the range 0 to 1.

#### Parameters

`cmyka`

  Type: `GimpCMYK`

  A `GimpCMYK` structure which will hold the specified CMYKA value.

  The data is owned by the caller of the function.

`cyan`

  Type: `gdouble`

  The Cyan channel of the CMYK value.

`magenta`

  Type: `gdouble`

  The Magenta channel.

`yellow`

  Type: `gdouble`

  The Yellow channel.

`black`

  Type: `gdouble`

  The blacK channel.

`alpha`

  Type: `gdouble`

  The Alpha channel.